Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal.ejb
Class PortalPersonalizationPK

    java.lang.Object
      |
      +--com.beasys.portal.ejb.PortalPersonalizationPK

Direct Known Subclasses:
  GroupPersonalizationPK

public class PortalPersonalizationPK
extends java.lang.Object
implements java.io.Serializable

The Primary Key class for the PortalPersonalization EJB.

See Also:
  Serialized Form

Field Summary
`java.lang.String` | `categoryName` The category name.
`java.lang.String` | `portalName` The portal name.
`java.lang.String` | `portletName` The portlet name.

Constructor Summary
`PortalPersonalizationPK()` Default constructor.
`PortalPersonalizationPK(java.lang.String aPortalName, java.lang.String aCategoryName, java.lang.String aPortletName)` Create a portal personalization primary key.

Method Summary
`boolean` | `equals(java.lang.Object theOther)` Check for object equality.
`java.lang.String` | `getCategoryName()` Get category name.
`java.lang.String` | `getPortalName()` Get portal name.
`java.lang.String` | `getPortletName()` Get portlet name.
`void` | `setCategoryName(java.lang.String aCategoryName)` Set category name.
`void` | `setPortalName(java.lang.String aPortalName)` Set portal name.
`void` | `setPortletName(java.lang.String aPortletName)` Set portlet name.
`java.lang.String` | `toString()` String representation of the Id.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### portalName

    public java.lang.String portalName

  The portal name.

### categoryName

    public java.lang.String categoryName

  The category name.

### portletName

    public java.lang.String portletName

  The portlet name.

Constructor Detail

### PortalPersonalizationPK

    public PortalPersonalizationPK()

  Default constructor.

### PortalPersonalizationPK

    public PortalPersonalizationPK(java.lang.String aPortalName,
                                   java.lang.String aCategoryName,
                                   java.lang.String aPortletName)

  Create a portal personalization primary key.
  Parameters:
    `aPortalName` - the portal.
    `aCategoryName` - the category.
    `aPortletName` - the portlet.

Method Detail

### equals

    public boolean equals(java.lang.Object theOther)

  Check for object equality.
  Overrides:
    equals in class java.lang.Object
  Parameters:
    `theOther` - the object to check against.
  Returns:
    boolean yes/no.

### toString

    public java.lang.String toString()

  String representation of the Id.
  Overrides:
    toString in class java.lang.Object
  Returns:
    String the rep.

### setPortalName

    public void setPortalName(java.lang.String aPortalName)

  Set portal name.
  Parameters:
    `aPortalName` - the portal.

### getPortalName

    public java.lang.String getPortalName()

  Get portal name.
  Returns:
    `String` the portal.

### setCategoryName

    public void setCategoryName(java.lang.String aCategoryName)

  Set category name.
  Parameters:
    `aCategoryName` - the category.

### getCategoryName

    public java.lang.String getCategoryName()

  Get category name.
  Returns:
    `String` the category name.

### setPortletName

    public void setPortletName(java.lang.String aPortletName)

  Set portlet name.
  Parameters:
    `aPortletName` - the portlet.

### getPortletName

    public java.lang.String getPortletName()

  Get portlet name.
  Returns:
    `String` the portlet.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved